#!/bin/bash

#Note of caution:  stop after boostrap phase, and run 
#bjam --debug-configuration, to figure out which paths boost is using to include 
#python. make sure everyone of these paths is covered by python. If not, just make 
#symlinks in externalpackages/python to what boost is expecting. Ther is NO WAY 
#to get the boost library to include python support without doing that. 



#Some cleanup
rm -rf install boost_1_49_0 src
mkdir install src

#Untar 
tar -zxvf  boost_1_49_0.tar.gz

#Move boost into install directory
mv boost_1_49_0/* src
rm -rf boost_1_49_0
#Configure and compile
cd src 
./bootstrap.sh \
	--prefix="$ISSM_TIER/externalpackages/boost/install" \
	--with-python=python3.2 \
	--with-python-root="$ISSM_TIER/externalpackages/python/install" 

#Compile boost
./bjam install

#put bjam into install also: 
mkdir ../install/bin
cp bjam ../install/bin
